Rubyの初心者です。Macを使用しています。
macportで1.9をインストールしたのですが、

ターミナルで
ruby -v
とするとデフォルトでインストールされていた
ruby 1.8.7 と出ます。

1.9へのアップデート方法を教えてください。

アップデートしたい理由は、irbで日本語を使用したいからです。
よろしくお願いします。

このQ&Aに関連する最新のQ&A

A 回答 (1件)

Macportsでruby19をインストールして使用しています。



○インストールしたvariantを確認する
port installed ruby19
でどんな指定したかわかる。例えば私の場合は
ruby19 @1.9.2-p180_0+c_api_docs+mactk+universal (active)
って出てくる。
・(active)になっているかを確認する。なってなかったらactivateする
・+nosuffix があるかどうかを確認する。
ある場合は、コマンド名がrubyに。gem,rake等の関連コマンドもそのまま
無い場合は、コマンド名に「1.9」という文字が付く。関連コマンドもそのまま
ruby→ruby1.9, rake→rake1.9, gem→gem1.9,irb→irb1.9等

○環境変数PATHを確認する
Macportsは標準で /opt/local/bin にインストールされるので、PATHに含まれているかを確認する
無ければ追加する。
    • good
    • 0
この回答へのお礼

kmeeさんありがとうございました。

port installed ruby19 で

ruby19 @1.9.2-p180_0(active)
とかえってきました。
nosuffixを付けていなかったのが原因?ですかね。
irb1.9で日本語が使えるようになりました。

環境変数PATH?はよく分かりませんが
いつかkmeeさんのように他の人に教えてあげられるよう少しづつ勉強して見ます。
ありがとうございました。

お礼日時:2011/04/16 18:30

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!